<template>
  <v-footer color="#f7fafc">
    <div class="col d-flex justify-space-between">
      <div class="caption">
        <span>&copy; {{ new Date().getFullYear() }}</span>
        <span v-if="$route.path === '/'" v-text="siteName"></span>
        <nuxt-link v-else to="/" v-text="siteName"></nuxt-link>
      </div>

      <nuxt-link v-if="!hideLogo" class="app-footer__logo" to="/">
        <v-img
          :src="require('~/assets/images/logo-icon.svg')"
          contain
          :min-width="70"
          :max-height="70"
          aspect-ratio="1"
        ></v-img>
      </nuxt-link>

      <div class="caption">
        <v-icon color="deep-orange">mdi-dev-to</v-icon> by
        <a href="https://ma23.ru/" target="_blank">{{ devCopyright }}</a>
      </div>
    </div>
  </v-footer>
</template>

<script>
const pkg = require('@@/package.json')

export default {
  name: 'AppFooter',

  props: {
    hideLogo: {
      type: Boolean,
      default: true,
    },
  },

  computed: {
    pkgJson() {
      const year = new Date().getFullYear()
      const { name, version, author } = pkg

      return {
        name,
        version,
        author,
        year,
      }
    },

    siteName() {
      return this.$store.state.layout.site_name
    },

    devCopyright() {
      const { author } = this.pkgJson
      /* const html = {
        icon: '',
        author: `<a href="https://ma23.ru/" _target="blank">${author}</a>`,
      }
      return util.format(this.$t('copyright.dev'), html.author) */
      return author
    },
  },
}
</script>
